<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKShareOpenGraphAction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_f_b_s_d_k_share_open_graph_action-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FBSDKShareOpenGraphAction Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_share_open_graph_action_8h_source.html">FBSDKShareOpenGraphAction.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for FBSDKShareOpenGraphAction:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_f_b_s_d_k_share_open_graph_action.png" usemap="#FBSDKShareOpenGraphAction_map" alt=""/>
  <map id="FBSDKShareOpenGraphAction_map" name="FBSDKShareOpenGraphAction_map">
<area href="interface_f_b_s_d_k_share_open_graph_value_container.html" alt="FBSDKShareOpenGraphValueContainer" shape="rect" coords="135,112,395,136"/>
<area href="protocol_f_b_s_d_k_copying-p.html" alt="&lt;FBSDKCopying&gt;" shape="rect" coords="675,112,935,136"/>
<area href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html" alt="&lt;FBSDKShareOpenGraphValueContaining&gt;" shape="rect" coords="270,56,530,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a5927f05c6d91d933508f7b9ce73d3edf"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html#a5927f05c6d91d933508f7b9ce73d3edf">isEqualToShareOpenGraphAction:</a></td></tr>
<tr class="separator:a5927f05c6d91d933508f7b9ce73d3edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html">&lt;FBSDKShareOpenGraphValueContaining&gt;</a></td></tr>
<tr class="memitem:a296592db96a532877e7a5cce0252bbc6 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSArray *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a296592db96a532877e7a5cce0252bbc6">arrayForKey:</a></td></tr>
<tr class="separator:a296592db96a532877e7a5cce0252bbc6 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfda6d737261a5225aa122a93cbe2c4f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#abfda6d737261a5225aa122a93cbe2c4f">enumerateKeysAndObjectsUsingBlock:</a></td></tr>
<tr class="separator:abfda6d737261a5225aa122a93cbe2c4f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80eba6494b84b59ae6c27775d3a5f81f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSEnumerator *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a80eba6494b84b59ae6c27775d3a5f81f">keyEnumerator</a></td></tr>
<tr class="separator:a80eba6494b84b59ae6c27775d3a5f81f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90d69b7b3128d073821f0cc8bb72a8f7 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSNumber *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a90d69b7b3128d073821f0cc8bb72a8f7">numberForKey:</a></td></tr>
<tr class="separator:a90d69b7b3128d073821f0cc8bb72a8f7 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa449ffe58bd3d27792b6a59bbbc0f571 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSEnumerator *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#aa449ffe58bd3d27792b6a59bbbc0f571">objectEnumerator</a></td></tr>
<tr class="separator:aa449ffe58bd3d27792b6a59bbbc0f571 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1518ffed79b4dea61403b75fff4fe7d5 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a1518ffed79b4dea61403b75fff4fe7d5">objectForKey:</a></td></tr>
<tr class="separator:a1518ffed79b4dea61403b75fff4fe7d5 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f5dd5bfdff32ca96e158518697f5b5b inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a2f5dd5bfdff32ca96e158518697f5b5b">objectForKeyedSubscript:</a></td></tr>
<tr class="separator:a2f5dd5bfdff32ca96e158518697f5b5b inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a695bc758d53d5d672f6f81d3b35d784d inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a695bc758d53d5d672f6f81d3b35d784d">parseProperties:</a></td></tr>
<tr class="separator:a695bc758d53d5d672f6f81d3b35d784d inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9750f9a444b9bb2d0a4f48603c903ce inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#ae9750f9a444b9bb2d0a4f48603c903ce">photoForKey:</a></td></tr>
<tr class="separator:ae9750f9a444b9bb2d0a4f48603c903ce inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18252524450570cb538c94abe1353f83 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a18252524450570cb538c94abe1353f83">removeObjectForKey:</a></td></tr>
<tr class="separator:a18252524450570cb538c94abe1353f83 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c594792864dc8dd797a3e95a540d30 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a40c594792864dc8dd797a3e95a540d30">setArray:forKey:</a></td></tr>
<tr class="separator:a40c594792864dc8dd797a3e95a540d30 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ec6ad86f7f8708a56542566dc4d1b0f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a9ec6ad86f7f8708a56542566dc4d1b0f">setNumber:forKey:</a></td></tr>
<tr class="separator:a9ec6ad86f7f8708a56542566dc4d1b0f inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2936dc93e124d94c6d063b3724612d inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a0a2936dc93e124d94c6d063b3724612d">setObject:forKey:</a></td></tr>
<tr class="separator:a0a2936dc93e124d94c6d063b3724612d inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae004c69212d9d9d561d0e3912ad025ae inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#ae004c69212d9d9d561d0e3912ad025ae">setPhoto:forKey:</a></td></tr>
<tr class="separator:ae004c69212d9d9d561d0e3912ad025ae inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf69ea722af192b6636f3a0ddcfdb235 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#adf69ea722af192b6636f3a0ddcfdb235">setString:forKey:</a></td></tr>
<tr class="separator:adf69ea722af192b6636f3a0ddcfdb235 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd4975df409cfcc8f9a585f1e6abf37 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#adcd4975df409cfcc8f9a585f1e6abf37">setURL:forKey:</a></td></tr>
<tr class="separator:adcd4975df409cfcc8f9a585f1e6abf37 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11906a21c6657a4c7028b324918c3e81 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a11906a21c6657a4c7028b324918c3e81">stringForKey:</a></td></tr>
<tr class="separator:a11906a21c6657a4c7028b324918c3e81 inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21f89dae3641363d84d29100739c044c inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memItemLeft" align="right" valign="top">(NSURL *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a21f89dae3641363d84d29100739c044c">URLForKey:</a></td></tr>
<tr class="separator:a21f89dae3641363d84d29100739c044c inherit pub_methods_protocol_f_b_s_d_k_share_open_graph_value_containing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_copying-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_copying-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_copying-p.html">&lt;FBSDKCopying&gt;</a></td></tr>
<tr class="memitem:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memItemLeft" align="right" valign="top">(id)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_copying-p.html#a93cd1625db2e893f0880c1093e4caf0c">copy</a></td></tr>
<tr class="separator:a93cd1625db2e893f0880c1093e4caf0c inherit pub_methods_protocol_f_b_s_d_k_copying-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a799241a675a5c8ec03a9b265c8cb188e"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html#a799241a675a5c8ec03a9b265c8cb188e">actionWithType:object:key:</a></td></tr>
<tr class="separator:a799241a675a5c8ec03a9b265c8cb188e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a914764d1106a200ae1303cc1469c6726"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html#a914764d1106a200ae1303cc1469c6726">actionWithType:objectID:key:</a></td></tr>
<tr class="separator:a914764d1106a200ae1303cc1469c6726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27fa391023888ccb47b2ac52aa6760d4"><td class="memItemLeft" align="right" valign="top">(instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html#a27fa391023888ccb47b2ac52aa6760d4">actionWithType:objectURL:key:</a></td></tr>
<tr class="separator:a27fa391023888ccb47b2ac52aa6760d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ae9d368ff0aa61e07a34cf9891244e0f9"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html#ae9d368ff0aa61e07a34cf9891244e0f9">actionType</a></td></tr>
<tr class="separator:ae9d368ff0aa61e07a34cf9891244e0f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>An Open Graph Action for sharing.</p>
<p>The property keys MUST have namespaces specified on them, such as <code>og:image</code>. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a799241a675a5c8ec03a9b265c8cb188e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a799241a675a5c8ec03a9b265c8cb188e">&#9670;&nbsp;</a></span>actionWithType:object:key:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) actionWithType: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>actionType</em></td>
        </tr>
        <tr>
          <td class="paramkey">object:</td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)&#160;</td>
          <td class="paramname"><em>object</em></td>
        </tr>
        <tr>
          <td class="paramkey">key:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build a new action and set the object for the specified key.</p><ul>
<li>Parameter actionType: The action type of the receiver</li>
<li>Parameter object: The Open Graph object represented by this action</li>
<li>Parameter key: The key for the object </li>
</ul>

</div>
</div>
<a id="a914764d1106a200ae1303cc1469c6726"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a914764d1106a200ae1303cc1469c6726">&#9670;&nbsp;</a></span>actionWithType:objectID:key:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) actionWithType: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>actionType</em></td>
        </tr>
        <tr>
          <td class="paramkey">objectID:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>objectID</em></td>
        </tr>
        <tr>
          <td class="paramkey">key:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build a new action and set the object for the specified key.</p><ul>
<li>Parameter actionType: The action type of the receiver</li>
<li>Parameter objectID: The ID of an existing Open Graph object</li>
<li>Parameter key: The key for the object </li>
</ul>

</div>
</div>
<a id="a27fa391023888ccb47b2ac52aa6760d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27fa391023888ccb47b2ac52aa6760d4">&#9670;&nbsp;</a></span>actionWithType:objectURL:key:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (instancetype) actionWithType: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>actionType</em></td>
        </tr>
        <tr>
          <td class="paramkey">objectURL:</td>
          <td></td>
          <td class="paramtype">(NSURL *)&#160;</td>
          <td class="paramname"><em>objectURL</em></td>
        </tr>
        <tr>
          <td class="paramkey">key:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Convenience method to build a new action and set the object for the specified key.</p><ul>
<li>Parameter actionType: The action type of the receiver</li>
<li>Parameter objectURL: The URL to a page that defines the Open Graph object with meta tags</li>
<li>Parameter key: The key for the object </li>
</ul>

</div>
</div>
<a id="a5927f05c6d91d933508f7b9ce73d3edf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5927f05c6d91d933508f7b9ce73d3edf">&#9670;&nbsp;</a></span>isEqualToShareOpenGraphAction:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) isEqualToShareOpenGraphAction: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_f_b_s_d_k_share_open_graph_action.html">FBSDKShareOpenGraphAction</a> *)&#160;</td>
          <td class="paramname"><em>action</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Compares the receiver to another Open Graph Action.</p><ul>
<li>Parameter action: The other action</li>
<li>Returns: YES if the receiver's values are equal to the other action's values; otherwise NO </li>
</ul>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ae9d368ff0aa61e07a34cf9891244e0f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d368ff0aa61e07a34cf9891244e0f9">&#9670;&nbsp;</a></span>actionType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) actionType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the action type.</p><ul>
<li>Returns: The action type </li>
</ul>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_share_open_graph_action_8h_source.html">FBSDKShareOpenGraphAction.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
